| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_ETH_PHY.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_ETH_PHY_GetVersion (void)
| Get driver version.
int32_t | ARM_ETH_PHY_Initialize (ARM_ETH_PHY_Read_t fn_read, ARM_ETH_PHY_Write_t fn_write)
| Initialize Ethernet PHY Device.
int32_t | ARM_ETH_PHY_Uninitialize (void)
| De-initialize Ethernet PHY Device.
int32_t | ARM_ETH_PHY_PowerControl (ARM_POWER_STATE state)
| Control Ethernet PHY Device Power.
int32_t | ARM_ETH_PHY_SetInterface (uint32_t interface)
| Set Ethernet Media Interface.
int32_t | ARM_ETH_PHY_SetMode (uint32_t mode)
| Set Ethernet PHY Device Operation mode.
ARM_ETH_LINK_STATE | ARM_ETH_PHY_GetLinkState (void)
| Get Ethernet PHY Device Link state.
ARM_ETH_LINK_INFO | ARM_ETH_PHY_GetLinkInfo (void)
| Get Ethernet PHY Device Link information.